Ryzom - Bug # 1104

Status: Closed Priority: Immediate
Author: ddougher Category: Client: General
Created: 09/26/2010 Assignee: vl

Updated: 09/29/2010 Due date:

Subject: Client fails to build due to missing include file?

Description

In compiling the micro_life_manager.cpp file under Visual Studio 2008 the compile fails with two errors on lines which read
fromString(args[0], DisplayMicroLifeZones);

These lines are around 887 and 900 in the file.

The problem appears to be that in the previous version the line

#include <utility>

Which was around line 45 has been removed. | suspect that utility contains the fromString() function and without it, the
file cannot compile.

| believe restoring the include file will fix the client build.

History

#1 - 09/26/2010 03:51 pm - ddougher

Adding #include <ultility> did not fix problem. (I tested it.) However, vI's fix of adding nimisc namespace does correct the issue in both debug and
release versions. Not sure how you mark things done with this software, but I'd say this one is fixed. Nice job vl.

#2 - 09/26/2010 03:54 pm - vl

The problem was fixed, you can update the latest repository and it's related to a missing using namespace NLMISC.

#3 - 09/26/2010 03:56 pm - vl

- Category set to Client: General

- Status changed from New to Resolved
- Assignee set to vl

- % Done changed from 0 to 100

#4 - 09/29/2010 10:21 pm - kervala

- Status changed from Resolved to Closed
- Target version set to Version 0.8.0
